Bug 1014716 - OpenConnect VPN connection will not connect
OpenConnect VPN connection will not connect
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 11:19 EDT by Ade Fewings
Modified: 2013-10-09 10:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.9.0-14.git20131003.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 10:52:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ade Fewings 2013-10-02 11:19:59 EDT
Description of problem:

Post-upgrade to F20, OpenConnect will not connect to Cisco VPN via NetworkManager interface (GUI triggered).  Tried existing profile brought from working F19 install and new profile with no success.  Error in /var/log/messages:

Oct  2 16:01:00 its65 NetworkManager[763]: <info> VPN plugin state changed: starting (3)
Oct  2 16:01:00 its65 NetworkManager[763]: <info> VPN connection 'hpcw' (ConnectInteractive) reply received.
Oct  2 16:01:00 its65 NetworkManager[763]: <info> VPN connection 'hpcw' (Connect) reply received.
Oct  2 16:01:00 its65 NetworkManager[763]: <warn> VPN connection 'hpcw' failed to connect: 'Could not start connection: wrong plugin state 3'.
Oct  2 16:01:20 its65 NetworkManager[763]: <info> VPN service 'openconnect' disappeared


Version-Release number of selected component (if applicable):
openconnect-5.01-4.fc20.x86_64
NetworkManager-openconnect-0.9.8.0-2.fc20.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Try to connect.
2. Certificate accepted.
3. Login.
4. Fails, no GUI indication, just messages notes.

Actual results:
No connection.

Expected results:
VPN up.

Additional info:
Comment 1 Dan Williams 2013-10-03 16:48:24 EDT
This is actually a NetworkManager bug.
Comment 2 Fedora Update System 2013-10-03 16:49:12 EDT
NetworkManager-0.9.9.0-14.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-14.git20131003.fc20
Comment 3 Fedora Update System 2013-10-04 21:43:27 EDT
Package NetworkManager-0.9.9.0-14.git20131003.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.9.0-14.git20131003.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18316/NetworkManager-0.9.9.0-14.git20131003.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-09 10:52:57 EDT
NetworkManager-0.9.9.0-14.git20131003.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.